Bug 14900 - Add ability to pay all fees at once from circulation screen
Summary: Add ability to pay all fees at once from circulation screen
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-25 15:24 UTC by Josef Moravec
Modified: 2016-06-21 21:40 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14900: Add ability to pay all fees at once from circulation screen (1.75 KB, patch)
2015-09-25 15:30 UTC, Josef Moravec
Details | Diff | Splinter Review
[Signed-off] Bug 14900: Add ability to pay all fees at once from circulation screen (1.92 KB, patch)
2015-09-26 10:25 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14900: Add ability to pay all fees at once from circulation screen (1.97 KB, patch)
2015-10-01 13:52 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2015-09-25 15:24:12 UTC
It could be fine to have link for collectiong whole amount of all charges at once in information about fees and charges on circulation screen.
Comment 1 Josef Moravec 2015-09-25 15:30:49 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-09-26 10:25:13 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-10-01 13:52:51 UTC
Created attachment 43011 [details] [review]
Bug 14900: Add ability to pay all fees at once from circulation screen

Test plan:
1) Go to circulation screen for patron which has some not-payed charges (or make same if needed)

2) You should see infromation about fees and charges with ability to pay it. Note there is new link for paying all charges at once

3) Try the new link, you should be redirected to members/paycollect.pl, check if there is right amount and try to pay charges

4) try the old link to make sure it works still well after this patch

Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Tomás Cohen Arazi 2015-10-21 16:52:55 UTC
Patch pushed to master.

Thanks Josef!